org.eclipse.jetty.http

## Class PathMap.Entry

- java.lang.Object
- - org.eclipse.jetty.http.PathMap.Entry

- All Implemented Interfaces:
    Map.Entry
  Enclosing class:
    PathMap

      public static class PathMap.Entry
      extends Object
      implements Map.Entry

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getKey()`
    `String` | `getMapped()`
    `Object` | `getValue()`
    `Object` | `setValue(Object o)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `equals, hashCode`

- - ### Method Detail

    - #### getKey

          public Object getKey()

      Specified by:
        `getKey` in interface `Map.Entry`

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in interface `Map.Entry`

    - #### setValue

          public Object setValue(Object o)

      Specified by:
        `setValue` in interface `Map.Entry`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMapped

          public String getMapped()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.